Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517450 - [abrt] qupzilla: qupzilla_signal_handler(int)(): qupzilla killed by SIGABRT
Summary: [abrt] qupzilla: qupzilla_signal_handler(int)(): qupzilla killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qupzilla
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:493639e3b122be5279ea4e65007...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-25 13:40 UTC by Karel Volný
Modified: 2018-11-30 18:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:27:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: cgroup (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: core_backtrace (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: cpuinfo (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: dso_list (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: environ (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: limits (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: maps (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: mountinfo (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: open_fds (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details
File: proc_pid_status (deleted)
2017-11-25 13:40 UTC, Karel Volný
no flags Details

Description Karel Volný 2017-11-25 13:40:02 UTC
Description of problem:
I've just tried to restore the session after restart ...

Version-Release number of selected component:
qupzilla-2.2.1-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/qupzilla
crash_function: qupzilla_signal_handler(int)
executable:     /usr/bin/qupzilla
journald_cursor: s=4792648149d84a85870c9e0f28914633;i=107be;b=7b8e52824a6542e5ae20eec53767c6f2;m=b653f3f4;t=55ece94b720b5;x=a6b5ca646b0f248a
kernel:         4.13.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #2 qupzilla_signal_handler(int) at main.cpp:54

Potential duplicate: bug 1443032

Comment 1 Karel Volný 2017-11-25 13:40:09 UTC
Created attachment 1358971 [details]
File: backtrace

Comment 2 Karel Volný 2017-11-25 13:40:11 UTC
Created attachment 1358972 [details]
File: cgroup

Comment 3 Karel Volný 2017-11-25 13:40:13 UTC
Created attachment 1358973 [details]
File: core_backtrace

Comment 4 Karel Volný 2017-11-25 13:40:15 UTC
Created attachment 1358974 [details]
File: cpuinfo

Comment 5 Karel Volný 2017-11-25 13:40:17 UTC
Created attachment 1358975 [details]
File: dso_list

Comment 6 Karel Volný 2017-11-25 13:40:19 UTC
Created attachment 1358976 [details]
File: environ

Comment 7 Karel Volný 2017-11-25 13:40:21 UTC
Created attachment 1358977 [details]
File: limits

Comment 8 Karel Volný 2017-11-25 13:40:24 UTC
Created attachment 1358978 [details]
File: maps

Comment 9 Karel Volný 2017-11-25 13:40:26 UTC
Created attachment 1358979 [details]
File: mountinfo

Comment 10 Karel Volný 2017-11-25 13:40:28 UTC
Created attachment 1358980 [details]
File: open_fds

Comment 11 Karel Volný 2017-11-25 13:40:30 UTC
Created attachment 1358981 [details]
File: proc_pid_status

Comment 12 Karel Volný 2017-11-25 13:54:59 UTC
Similar problem has been detected:

restoring session (should end as dupe of previous crash - just verified reproducibility)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/qupzilla
crash_function: qupzilla_signal_handler(int)
executable:     /usr/bin/qupzilla
journald_cursor: s=4792648149d84a85870c9e0f28914633;i=107fb;b=7b8e52824a6542e5ae20eec53767c6f2;m=f7d4f67d;t=55eced638233e;x=406e18a688045752
kernel:         4.13.14-300.fc27.x86_64
package:        qupzilla-2.2.1-1.fc27
reason:         qupzilla killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Kevin Kofler 2017-11-25 16:31:27 UTC
This is likely not the same as bug #1443032, the signal handler is triggered at a completely different place.

Comment 14 Ben Cotton 2018-11-27 18:02:08 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 18:27:43 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.